/**************************************************************************************/
/*                                                                                    */
/* Available object types: this file is used by room, anim and sprite editors         */
/*                                                                                    */
/**************************************************************************************/

/* Version number MUST be increased whenever the object lists are changed */
#define OBJECT_VERSION 129

enum object_types {
        LARA,
        PISTOL_ANIM,
        HAIR,
        SHUTGUN_ANIM,
        AUTOPISTO_ANIM,
        UZI_ANIM,
        M16_ANIM,
        DERNADE_ANIM,
        HARPOON_ANIM,
        FLARE_ANIM,
        SNOWMOBILE_ANIM,
        BOAT_ANIM,
        INTRO_ANIM,
        SNOWMOBILE,
        BOAT,
        DOG,
        BADDY_1,
        BADDY_2,
        BADDY_3,
        TR2_OBJECTID_19,
        BADDY_SHUTGUN,
        RAT,
        DRAGON,
        DRAGOB_BACK,
        GONDOLA,
        SHARK,
        TR2_OBJECTID_26,
        TR2_OBJECTID_27,
        FISH,
        SCUBA_DIVER,
        RIG_WORKER1,
        RIG_WORKER2,
        BADDY_STICK1,
        BADDY_STICK2,
        FLAMETHROWER,
        TR2_OBJECTID_35,
        SPIDER,
        GIANT_SPIDER,
        CROW,
        TIGER,
        MARCO_BARTOLI,
        SPEAR_GUARDIAN,
        SPEAR_GUARDIAN_STATUE,
        SWORD_GUARDIAN,
        SWORD_GUARDIAN_STATUE,
        YETI,
        BIRD_MONSTER,
        EAGLE,
        MERCENARY_1,
        MERCENARY_2,
        MERCENARY_3,
        SNOWMOBILE_GUNS,
        SNOWMOBILE_DRIVER,
        MONK_1,
        MONK_2,
        FALLING_FLOOR,
        TR2_OBJECTID_56,
        TR2_OBJECTID_57,
        SWINGING_OBJECT,
        SPIKES,
        ROLLING_BALL,
        DART,
        DART_EMITTER,
        FLOOR_DOOR,
        SLAMMING_DOOR,
        ELEVATOR,
        MINISUB,
        PUSHABLE_OBJECT1,
        PUSHABLE_OBJECT2,
        PUSHABLE_OBJECT3,
        PUSHABLE_OBJECT4,
        BIT_BOWL,
        BREAKABLE_WINDOW1,
        BREAKABLE_WINDOW2,
        TR2_OBJECTID_74,
        TR2_OBJECTID_75,
        PROPELLER,
        SAW,
        PULLEY_HOOK,
        SANDBAG,
        TR2_OBJECTID_80,
        WALL_KNIFE,
        STATUE_KNIFE,
        MULTIPLE_BOULDERS,
        TR2_OBJECTID_84,
        SPIKE_WALL1,
        TR2_OBJECTID_86,
        SPIKE_WALL2,
        BELL,
        TR2_OBJECTID_89,
        TR2_OBJECTID_90,
        TR2_OBJECTID_91,
        TR2_OBJECTID_92,
        SWITCH,
        TR2_OBJECTID_94,
        VENT,
        SWINGING_BOX,
        MESHSWAP1,
        MESHSWAP2,
        LARA_CUTSCENE,
        TR2_OBJECTID_100,
        TR2_OBJECTID_101,
        TR2_OBJECTID_102,
        SWITCH_TYPE2,
        UNDERWATER_SWITCH1,
        UNDERWARER_SWITCH2,
        DOOR_TYPE1,
        DOOR_TYPE2,
        DOOR_TYPE3,
        DOOR_TYPE4,
        DOOR_TYPE5,
        DOOR_TYPE6,
        DOOR_TYPE7,
        DOOR_TYPE8,
        TRAPDOOR_1,
        TR2_OBJECTID_115,
        TR2_OBJECTID_116,
        TR2_OBJECTID_117,
        TR2_OBJECTID_118,
        TR2_OBJECTID_119,
        PASSPORT_INV,
        COMPASS,
        TR2_OBJECTID_122,
        CUTSCENE_ITEM1,
        CUTSCENE_ITEM2,
        CUTSCENE_ITEM3,
        CUTSCENE_ITEM4,
        CUTSCENE_ITEM5,
        CUTSCENE_ITEM6,
        CUTSCENE_ITEM7,
        TR2_OBJECTID_130,
        TR2_OBJECTID_131,
        TR2_OBJECTID_132,
        TR2_OBJECTID_133,
        TR2_OBJECTID_134,
        PISTOLS,
        SHUTGUN,
        AUTOPISTOLS,
        UZIS,
        HARPOONGUN,
        M16,
        GERNADE_LAUNCHER,
        PISTOL_AMMO,
        SHUTGUN_AMMO,
        AUTOPISTOL_AMMO,
        UZI_AMMO,
        HARPOON_AMMO,
        M16_AMMO,
        GERNADE_AMMO,
        SMALL_MIDI,
        LARGE_MIDI,
        FLARES,
        FLARES_INV,
        SUNGLASS_INV,
        CDPLAYER_INV,
        KEYPAD_INV,
        TR2_OBJECTID_156,
        PISTOLS_INV,
        SHUTGUN_INV,
        AUTOPISTOLS_INV,
        UZI_INV,
        HARPOON_INV,
        M16_INV,
        GERNADE_INV,
        PISTOL_AMMO_INV,
        SHUTGUN_AMMO_INV,
        AUTOPISTOL_AMMO_INV,
        UZI_AMMO_INV,
        HARPOON_AMMO_INV,
        M16_AMMO_INV,
        GERNADE_AMMO_INV,
        SMALLMIDI_INV,
        LARGEMIDI_INV,
        FLARE_INV,
        PUZZLE_ITEM1,
        PUZZLE_ITEM2,
        PUZZLE_ITEM3,
        PUZZLE_ITEM4,
        PUZZLE_ITEM1_INV,
        PUZZLE_ITEM2_INV,
        PUZZLE_ITEM3_INV,
        PUZZLE_ITEM4_INV,
        PUZZLE_HOLE1,
        PUZZLE_HOLE2,
        PUZZLE_HOLE3,
        PUZZLE_HOLE4,
        PUZZLE_DONE1,
        PUZZLE_DONE2,
        PUZZLE_DONE3,
        PUZZLE_DONE4,
        DRAGON1,
        DRAGON2,
        DRAGON3,
        KEY_ITEM1,
        KEY_ITEM2,
        KEY_ITEM3,
        KEY_ITEM4,
        KEY_ITEM1_INV,
        KEY_ITEM2_INV,
        KEY_ITEM3_INV,
        KEY_ITEM4_INV,
        KEY_HOLE1,
        KEY_HOLE2,
        KEY_HOLE3,
        KEY_HOLE4,
        PICKUP_ITEM1,
        PICKUP_ITEM2,
        PICKUP_ITEM1_INV,
        PICKUP_ITEM2_INV,
        DRAGON_EXPLOSION_1,
        DRAGON_EXPLOSION_2,
        DRAGON_EXPLOSION_3,
        ALARM,
        TR2_OBJECTID_213,
        T-REX,
        TR2_OBJECTID_215,
        TR2_OBJECTID_216,
        TR2_OBJECTID_217,
        DRAGON_BONES1,
        DRAGON_BONES2,
        BIG_FIRE,
        TR2_OBJECTID_221,
        WATER_MINE,
        MENU_BACKGROUND,
        DISK,
        GONG_HAMMER,
        GONG,
        DENATOR_BOX,
        HELICOPTER,
        GERNADE_BLAST,
        SPLASH,
        BUBBLES,
        TR2_OBJECTID_232,
        BLOOD,
        TR2_OBJECTID_234,
        FLARE_BURNING,
        FLASH,
        TR2_OBJECTID_237,
        BULLET_HIT,
        SPARKLES,
        GUNFIRE,
        GUNFIRE_M16,
        TR2_OBJECTID_242,
        TR2_OBJECTID_243,
        TR2_OBJECTID_244,
        TR2_OBJECTID_245,
        FLAMETHROWER_FLAME,
        TR2_OBJECTID_247,
        TR2_OBJECTID_248,
        TR2_OBJECTID_249,
        TR2_OBJECTID_250,
        TR2_OBJECTID_251,
        FIRE,
        TR2_OBJECTID_253,
        HORIZON,
        TR2_OBJECTID_255,
        TR2_OBJECTID_256,
        TR2_OBJECTID_257,
        TR2_OBJECTID_258,
        HELICPOTER,
        BUTLER,
        TR2_OBJECTID_261,
        TR2_OBJECTID_262,
        TR2_OBJECTID_263,
        TR2_OBJECTID_264,
        TR2_OBJECTID_265,
        TR2_OBJECTID_266,
        TR2_OBJECTID_267,
        TR2_OBJECTID_268,
        TR2_OBJECTID_269,
        TR2_OBJECTID_270,
        TR2_OBJECTID_271,
        TR2_OBJECTID_272,
        TR2_OBJECTID_273,
        TR2_OBJECTID_274,
        TR2_OBJECTID_275,
        TR2_OBJECTID_276,
        TR2_OBJECTID_277,
        TR2_OBJECTID_278,
        TR2_OBJECTID_279,
        TR2_OBJECTID_280,
        TR2_OBJECTID_281,
        TR2_OBJECTID_282,
        TR2_OBJECTID_283,
        TR2_OBJECTID_284,
        TR2_OBJECTID_285,
        TR2_OBJECTID_286,
        TR2_OBJECTID_287,
        TR2_OBJECTID_288,
        TR2_OBJECTID_289,
        TR2_OBJECTID_290,
        TR2_OBJECTID_291,
NUMBER_OBJECTS
};


enum static_types {
	PLANT0, PLANT1, PLANT2, PLANT3, PLANT4, PLANT5, PLANT6, PLANT7, PLANT8, PLANT9,
	FURNITURE0, FURNITURE1, FURNITURE2, FURNITURE3, FURNITURE4,
	FURNITURE5, FURNITURE6, FURNITURE7, FURNITURE8, FURNITURE9,
	ROCK0, ROCK1, ROCK2, ROCK3, ROCK4, ROCK5, ROCK6, ROCK7, ROCK8, ROCK9,
	ARCHITECTURE0, ARCHITECTURE1, ARCHITECTURE2, ARCHITECTURE3, ARCHITECTURE4,
	ARCHITECTURE5, ARCHITECTURE6, ARCHITECTURE7, ARCHITECTURE8, ARCHITECTURE9,
	DEBRIS0, DEBRIS1, DEBRIS2, DEBRIS3, DEBRIS4, DEBRIS5, DEBRIS6, DEBRIS7, DEBRIS8, DEBRIS9,
	SHATTER0, SHATTER1, SHATTER2, SHATTER3, SHATTER4, SHATTER5, SHATTER6, SHATTER7, SHATTER8, SHATTER9,
	NUMBER_STATIC_OBJECTS
};

enum floor_types {
	FLOOR_TYPE, DOOR_TYPE, TILT_TYPE, ROOF_TYPE, TRIGGER_TYPE, LAVA_TYPE, CLIMB_TYPE, SPLIT1, SPLIT2, SPLIT3, SPLIT4,
	NOCOLF1T, NOCOLF1B, NOCOLF2T, NOCOLF2B, NOCOLC1T, NOCOLC1B, NOCOLC2T, NOCOLC2B,
	MONKEY_TYPE, TRIGTRIGGER_TYPE, MINER_TYPE
};

enum trigger_types {
	TRIGGER, PAD, SWITCH, KEY, PICKUP, HEAVY, ANTIPAD, COMBAT, DUMMY, ANTITRIGGER, HEAVYSWITCH, HEAVYANTITRIGGER, MONKEY
};

enum trigobj_types {
	TO_OBJECT, TO_CAMERA, TO_SINK, TO_FLIPMAP, TO_FLIPON, TO_FLIPOFF, TO_TARGET, TO_FINISH, TO_CD, TO_FLIPEFFECT, TO_SECRET, TO_BODYBAG, TO_FLYBY, TO_CUTSCENE
};
