/**************************************************************************************/
/*                                                                                    */
/* Available object types: this file is used by room, anim and sprite editors         */
/*                                                                                    */
/**************************************************************************************/

/* Version number MUST be increased whenever the object lists are changed */
#define OBJECT_VERSION 129

enum object_types {
        LARA,
        PISTOL_ANIM,
        HAIR,
        SHUTGUN_ANIM,
        DESERTEAGLE_ANIM,
        UZI_ANIM,
        MP5_ANIM,
        ROCKET_ANIM,
        GERNADE_ANIM,
        HARPOON_ANIM,
        FLARE_ANIM,
        VEHILE_EXTRA,
        DETONATOR_ANIM,
        ROCKET_LARGE_ANIM,
        KAYAK,
        BOAT,
        QUADBIKE,
        MINECART,
        ROCKET_LARGE,
        UPU,
        SWORD_GUY,
        DART_EMITTER,
        DOG,
        RAT,
        ????_ANIM,
        FISH,
        UNDERWATER_ENEMIE,
        BIRD,
        TIGER,
        BIRD,
        SHOOT_BOARDS,
        RX-TECH_ENEMIE,
        CROCODILE,
        UNKNOWN,
        SMALL_RAPTOR,
        SMALL_DRAGON,
        PUNA,
        SOLDIER,
        DEAD_RAPTOR,
        RX-TECH_ENEMIE,
        WHITE_MAN_WITH_GUN,
        DOG,
        ANTARTICA_ENEMIE,
        UNKNOWN,
        ??,
        ANTARTICA_ENEMIE,
        ANTARTICA_ENEMIE,
        ??,
        ??,
        SPIDER_BOSS,
        FRAMETROWER,
        LONDON_GUN-MAN,
        UNKNOWN,
        HOLIGAN,
        UNKNOWN,
        UNKNOWN,
        GUARD_WITH_GUN,
        SOPHIA,
        CAR_WITH_POWER_WIRES,
        UNKNOWN,
        MP_STICK,
        MP_GUN,
        PRISONER,
        MP_LASER,
        AUTOGUNS,
        GUARD_NOGUNS,
        LASER1,
        LASER2,
        LASER3,
        SNAKE,
        STATUE_(ALIVE),
        MONKEY,
        UNKNOWN,
        TONY,
        AI_GUARD,
        AI_AMBUSH,
        AI_PATROL1,
        AI_MODIFY,
        AI_FOLLOW,
        AI_PATROL2,
        ??,
        ??,
        ??,
        BREAKABLE_FLOOR,
        UNKNOWN,
        UNKNOWN,
        SOMETHING_SWINGING,
        SPIKES,
        ROLLING_BALL,
        BIG_ROLLING_BALL,
        UNKNOWN,
        DART_SHOOTER,
        UNKNOWN,
        UNKNOWN,
        SPIKE_DOOR,
        UNKNOWN,
        UNKNOWN,
        PUSHABLE_OBJECT1,
        PUSHABLE_OBJECT2,
        UNKNOWN,
        UNKNOWN,
        DOOR/GATE,
        BREAKABLE_WALL,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        SMALL_CRANE,
        FALLING_BLOCK,
        ROLLING_KNIFE,
        UNKNOWN,
        DRIVING_OBJECT,
        ??,
        UNKNOWN,
        CEILING_PILARS,
        SPIKE_WALL1,
        UNKNOWN,
        SPIKE_WALL2,
        SWITCH_TYPE1,
        SWITCH_TYPE2,
        METEORITE_/_UNDERWATER_ENEMIE_/_VENTILATOR,
        VENTILATOR,
        RX-TECH_MINES_MACHINE_/_UP-AND_DOWN_THING,
        MESHSWAP1,
        MESHSWAP2,
        MESHSWAP3,
        UNKNOWN,
        UNKNOWN,
        CABLE_SLIDE,
        SWITCH_TYPE3,
        SWITCH_TYPE4,
        UNDERWATER_SWITCH,
        DOOR_TYPE1,
        DOOR_TYPE2,
        DOOR_TYPE3,
        DOOR_TYPE4,
        DOOR_TYPE5,
        DOOR_TYPE6,
        DOOR_TYPE7,
        DOOR_TYPE8,
        TRAPDOOR1,
        TRAPDOOR2,
        UNKNOWN,
        BRIDGE_FLAT,
        BRIDGE_TILT1,
        BRIDGE_TILT2,
        PASSPORT,
        STOPWATCH,
        UNKNOWN,
        CUT-SCENE_ITEM1,
        CUT-SCENE_ITEM2,
        CUT-SCENE_ITEM3,
        CUT-SCENE_ITEM4,
        CUT-SCENE_ITEM5,
        CUT-SCENE_ITEM6,
        CUT-SCENE_ITEM7,
        CUT-SCENE_ITEM8,
        CUT-SCENE_ITEM9,
        UNKNOWN,
        PASSPORT,
        CARD,
        PISTOLS,
        SHUTGUN,
        DESERT_EAGLE,
        UZIS,
        HARPOON_GUN,
        MP5,
        ROCKET_LAUNCHER,
        GERNADE_GUN,
        PISTOL_AMMO,
        SHUTGUN_AMMO,
        DESERT_EAGLE_AMMO,
        UZI_AMMO,
        HARPOON_AMMO,
        MP5_AMMO,
        ROCKET_LAUNCHER_AMMO,
        GERNADE_GUN_AMMO,
        SMALL_MIDI,
        LARGE_MIDI,
        FLARE_PICKUP,
        FLARE_MESH,
        CRYSTAL,
        GLASSES_INV,
        CD_PLAYER_INV,
        KEYPAD_INV,
        WORLD_INV,
        PISTOLS_INV,
        SHUTGUN_INV,
        DESERT_EAGLE_INV,
        UZIS_INV,
        HARPOON_GUN_INV,
        MP5_INV,
        ROCKET_LAUNCHER_INV,
        GERNADE_LAUNCHER_INV,
        PISTOL_AMMO_INV,
        SHUTGUN_AMMO_INV,
        DESERT_EAGLE_AMMO_INV,
        UZI_AMMO_INV,
        HARPOON_GUN_AMMO_INV,
        MP5_AMMO_INV,
        ROCKET_LAUNCHER_AMMO_INV,
        GERNADE_GUN_AMMO_INV,
        SMALL_MIDI_INV,
        LARGE_MIDI_INV,
        FLARES_INV,
        CRYSTAL_INV,
        PUZZLE_ITEM1,
        PUZZLE_ITEM2,
        PUZZLE_ITEM3,
        PUZZLE_ITEM4,
        PUZZLE_ITEM1_INV,
        PUZZLE_ITEM2_INV,
        PUZZLE_ITEM3_INV,
        PUZZLE_ITEM4_INV,
        PUZZLE_HOLE1,
        PUZZLE_HOLE2,
        PUZZLE_HOLE3,
        PUZZLE_HOLE4,
        PUZZLE_DONE1,
        PUZZLE_DONE1,
        PUZZLE_DONE3,
        PUZZLE_DONE4,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        KEY_ITEM1,
        KEY_ITEM2,
        KEY_ITEM3,
        KEY_ITEM4,
        KEY_ITEM1_INV,
        KEY_ITEM2_INV,
        KEY_ITEM3_INV,
        KEY_ITEM4_INV,
        KEY_HOLE1,
        KEY_HOLE2,
        KEY_HOLE3,
        KEY_HOLE4,
        PICKUP1,
        PICKUP2,
        PICKUP3,
        PICKUP4,
        ARTEFACT1,
        ARTEFACT2,
        ARTEFACT3,
        ARTEFACT4,
        ARTEFACT1_INV,
        ARTEFACT2_INV,
        ARTEFACT3_INV,
        ARTEFACT4_INV,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        FLAT_ARTEFACT,
        FLAT_ARTEFACT,
        FLAT_ARTEFACT,
        FLAT_ARTEFACT,
        UNKNOWN,
        UNKNOWN,
        ANTARTICA_STATUE,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        T-REX,
        RAPTOR,
        UNKNOWN,
        UNKNOWN,
        CEILING_LASER,
        ELECTRICITY,
        UNKNOWN,
        UNKNOWN,
        DETONATOR_BOX,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        GUN_FIRE,
        GUN_FIRE,
        UNKNOWN,
        UNKNOWN,
        ??,
        ??,
        HARPOON,
        UNKNOWN,
        UNKNOWN,
        ROCKET,
        HARPOON,
        GERNADES,
        BIG_ROCKET,
        BIG_ROCKET_FLAME,
        BIG_ROCKET_HOLDER,
        LARA_SKIN,
        UNKNOWN,
        ??,
        ALARM,
        ??,
        UNKNOWN,
        ??,
        BLINKING_LIGHT,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        ??,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        FLAME,
        FLAME_EMITTER2,
        ??,
        FIRE_(FROM_WALL),
        ??,
        ??,
        STEAM_EMITTER,
        ??,
        PIRANHA'S,
        FISHES,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        ??,
        UNKNOWN,
        ANIMATING1,
        ANIMATING2,
        ANIMATING3,
        ANIMATING4,
        ANIMATING5,
        ANIMATING6,
        HORIZON,
        UNKNOWN,
        ??,
        UNKNOWN,
        UNKNOWN,
        BUTLER,
        BUTLER_SHOOT,
        UNKNOWN,
        UNKNOWN,
        UNKNOWN,
        ??,
        GUN_SHELL1,
        GUN_SHELL2,
        UNKNOWN,
        UNKNOWN,
        POWER_COLUMN,
        UNKNOWN,
        UNKNOWN,
        SHOOT_SWITCH,
NUMBER_OBJECTS
};

enum static_types {
	PLANT0, PLANT1, PLANT2, PLANT3, PLANT4, PLANT5, PLANT6, PLANT7, PLANT8, PLANT9,
	FURNITURE0, FURNITURE1, FURNITURE2, FURNITURE3, FURNITURE4,
	FURNITURE5, FURNITURE6, FURNITURE7, FURNITURE8, FURNITURE9,
	ROCK0, ROCK1, ROCK2, ROCK3, ROCK4, ROCK5, ROCK6, ROCK7, ROCK8, ROCK9,
	ARCHITECTURE0, ARCHITECTURE1, ARCHITECTURE2, ARCHITECTURE3, ARCHITECTURE4,
	ARCHITECTURE5, ARCHITECTURE6, ARCHITECTURE7, ARCHITECTURE8, ARCHITECTURE9,
	DEBRIS0, DEBRIS1, DEBRIS2, DEBRIS3, DEBRIS4, DEBRIS5, DEBRIS6, DEBRIS7, DEBRIS8, DEBRIS9,
	SHATTER0, SHATTER1, SHATTER2, SHATTER3, SHATTER4, SHATTER5, SHATTER6, SHATTER7, SHATTER8, SHATTER9,
	NUMBER_STATIC_OBJECTS
};

enum floor_types {
	FLOOR_TYPE, DOOR_TYPE, TILT_TYPE, ROOF_TYPE, TRIGGER_TYPE, LAVA_TYPE, CLIMB_TYPE, SPLIT1, SPLIT2, SPLIT3, SPLIT4,
	NOCOLF1T, NOCOLF1B, NOCOLF2T, NOCOLF2B, NOCOLC1T, NOCOLC1B, NOCOLC2T, NOCOLC2B,
	MONKEY_TYPE, TRIGTRIGGER_TYPE, MINER_TYPE
};

enum trigger_types {
	TRIGGER, PAD, SWITCH, KEY, PICKUP, HEAVY, ANTIPAD, COMBAT, DUMMY, ANTITRIGGER, HEAVYSWITCH, HEAVYANTITRIGGER, MONKEY
};

enum trigobj_types {
	TO_OBJECT, TO_CAMERA, TO_SINK, TO_FLIPMAP, TO_FLIPON, TO_FLIPOFF, TO_TARGET, TO_FINISH, TO_CD, TO_FLIPEFFECT, TO_SECRET, TO_BODYBAG, TO_FLYBY, TO_CUTSCENE
};
