/**************************************************************************************/
/*                                                                                    */
/* Available object types: this file is used by room, anim and sprite editors         */
/*                                                                                    */
/**************************************************************************************/

/* Version number MUST be increased whenever the object lists are changed */
#define OBJECT_VERSION 129

enum object_types {
	LARA,
	PISTOL_ANIM,
	UZI_ANIM,
	SHUTGUN_ANIM,
	GRAPPLING_ANIM,
	HK_ANIM,
	REVOLVER_ANIM,
	FLARE_ANIM,
	LARA_SKIN,
	LARA_SKIN_JOINTS,
	LARA_SCREAM,
	LARA_GRAPPLING_LASER,
	LARA_REVOLVER_LASER,
	LARA_HOLSTERS,
	LARA_HOLSTERS_PISTOLS,
	LARA_HOLSTERS_UZIS,
	LARA_HOLSTERS_REVOLVER,
	LARA_HEAD1,
	LARA_HEAD2,
	LARA_HEAD3,
	LARA_HEAD4,
	ACTOR1_HEAD1,
	ACTOR1_HEAD2,
	ACTOR2_HEAD1,
	ACTOR2_HEAD2,
	LARA_BONES,
	UNKNOWN26,
	UNKNOWN27,
	CROWBAR_ANIM,
	TORCH_ANIM,
	HAIR,
	UNKNOWN31,
	UNKNOWN32,
	ANIMATION,
	ANIMATION_MIP,
	GUARD_MASK,
	GUARD_MASK_MIP,
	GUARD_GUN,
	GUARD_GUN_MIP,
	GUARD_LASER,
	GUARD_LASER_MIP,
	DOBERMAN,
	UNKNOWN42,
	UNKNOWN43,
	UNKNOWN44,
	LARSON,
	KEYCARD_1,
	PIERRE,
	KEYCARD_2,
	ARMED_BADDY1,
	UNKNOWN50,
	ARMED_BADDY2,
	UNKNOWN52,
	UNKNOWN53,
	UNKNOWN54,
	GUARD_ROBOT_CONTROL,
	UNKNOWN56,
	LION,
	UNKNOWN58,
	GLADIATOR,
	UNKNOWN60,
	ROMAN_STATUE,
	SPEAR_TIP,
	SMALL_DRAGON,
	FLAT_FLOOR,
	LASER_HEAD,
	UNKNOWN66,
	CYBORG,
	CYBORG_MIP,
	VCI_WORKER,
	UNKNOWN70,
	LIGHTHING_GUIDE,
	UNKNOWN72,
	INVISIBLE_GHOST,
	UNKNOWN74,
	UNKNOWN75,
	UNKNOWN76,
	BROWN_BEAST,
	UNKNOWN78,
	LAGOON_WITCH,
	UNKNOWN80,
	SUBMARINE,
	SUBMARINE_MIP,
	GUARD_M16,
	TREE_WITH_HUGED_MAN,
	DOG,
	UNKNOWN86,
	THE_CHEF,
	HAMMER_DOOR,
	LITTLE_MONSTER,
	PADLOCK,
	HELICOPTER,
	UNKNOWN92,
	BATS,
	LITTLE_RATS,
	BEETLES,
	UNKNOWN96,
	CEILING_GUN,
	POWER_WIRES,
	UNKNOWN99,
	DART_EMITTER,
	FAST_DART_EMITTER,
	UNKNOWN102,
	UNKNOWN103,
	UNKNOWN104,
	FALLING_FLOOR,
	TRAPDOOR1,
	TRAPDOOR2,
	TRAPDOOR3,
	FLOOR_TRAPDOOR,
	UNKNOWN110,
	CEILING_TRAPDOOR,
	UNKNOWN112,
	UNKNOWN113,
	STAIRS,
	UNKNOWN115,
	UNKNOWN116,
	SPIKES,
	RAM,
	UNKNOWN119,
	FLAME,
	FLAME_EMITTER,
	FLAME_EMITTER2,
	FLAME_EMITTER3,
	GAS_FIRE,
	UNKNOWN125,
	ROPE,
	LARA_EMPTY,
	POLE_ROPE,
	VENTILATOR1,
	VENTILATOR2,
	GRAPPLING_GUN_TARGET,
	UNKNOWN132,
	UNKNOWN133,
	RAISING_BLOCK,
	TELEPORT,
	HEADSET_TALK_POINT,
	PUSHABLE_OBJECT1,
	PUSHABLE_OBJECT2,
	UNKNOWN139,
	UNKNOWN140,
	UNKNOWN141,
	ROBOT_ARM,
	UNKNOWN143,
	ROCKET_ITEM,
	CHAFF_FLARE,
	UNKNOWN146,
	UNKNOWN147,
	UNKNOWN148,
	UNKNOWN149,
	DEADLY_ELECTRIC_BOLT,
	MONITOR,
	CAMERA_BOARD,
	VIGILANCE_CAMERA,
	TIGHT_ROPE1,
	TIGHT_ROPE2,
	HEAVY_DUMMY_ITEM,
	UNKNOWN157,
	FLAT_WINDOW,
	UNKNOWN159,
	GAS_EMITTER,
	SIGN,
	MOVING_LASER,
	UNKNOWN163,
	CUPBOARD1,
	CUPBOARD1_MIP,
	CUPBOARD2,
	CUPBOARD2_MIP,
	CUPBOARD3,
	CUPBOARD3_MIP,
	SUITCASE,
	UNKNOWN171,
	PUZZLE_ITEM1,
	PUZZLE_ITEM2,
	PUZZLE_ITEM3,
	PUZZLE_ITEM4,
	PUZZLE_ITEM5,
	PUZZLE_ITEM6,
	PUZZLE_ITEM7,
	PUZZLE_ITEM8,
	PUZZLE_ITEM1_COMBO1,
	PUZZLE_ITEM1_COMBO2,
	PUZZLE_ITEM2_COMBO1,
	PUZZLE_ITEM2_COMBO2,
	PUZZLE_ITEM3_COMBO1,
	PUZZLE_ITEM3_COMBO2,
	PUZZLE_ITEM4_COMBO1,
	PUZZLE_ITEM4_COMBO2,
	PUZZLE_ITEM5_COMBO1,
	PUZZLE_ITEM5_COMBO2,
	PUZZLE_ITEM6_COMBO1,
	PUZZLE_ITEM6_COMBO2,
	PUZZLE_ITEM7_COMBO1,
	PUZZLE_ITEM7_COMBO2,
	PUZZLE_ITEM8_COMBO1,
	PUZZLE_ITEM8_COMBO2,
	KEY_ITEM1,
	KEY_ITEM2,
	KEY_ITEM3,
	KEY_ITEM4,
	KEY_ITEM5,
	KEY_ITEM6,
	KEY_ITEM7,
	KEY_ITEM8,
	UNKNOWN204,
	UNKNOWN205,
	UNKNOWN206,
	UNKNOWN207,
	UNKNOWN208,
	UNKNOWN209,
	UNKNOWN210,
	UNKNOWN211,
	UNKNOWN212,
	UNKNOWN213,
	UNKNOWN214,
	UNKNOWN215,
	UNKNOWN216,
	UNKNOWN217,
	UNKNOWN218,
	UNKNOWN219,
	PICKUP_ITEM1,
	PICKUP_ITEM2,
	PICKUP_ITEM3,
	GOLDROSE_ITEM,
	UNKNOWN224,
	UNKNOWN225,
	UNKNOWN226,
	UNKNOWN227,
	UNKNOWN228,
	UNKNOWN229,
	UNKNOWN230,
	UNKNOWN231,
	UNKNOWN232,
	UNKNOWN233,
	UNKNOWN234,
	CHLOROFORM_COMBO1,
	CHLOROFORM_COMBO2,
	CHLOROFORM_ITEM,
	UNKNOWN238,
	UNKNOWN239,
	CROWBAR_ITEM,
	TORCH_ITEM,
	PUZZLE_HOLE1,
	PUZZLE_HOLE2,
	PUZZLE_HOLE3,
	PUZZLE_HOLE4,
	PUZZLE_HOLE5,
	PUZZLE_HOLE6,
	PUZZLE_HOLE7,
	PUZZLE_HOLE8,
	PUZZLE_DONE1,
	PUZZLE_DONE2,
	PUZZLE_DONE3,
	PUZZLE_DONE4,
	PUZZLE_DONE5,
	PUZZLE_DONE6,
	PUZZLE_DONE7,
	PUZZLE_DONE8,
	KEY_HOLE1,
	KEY_HOLE2,
	KEY_HOLE3,
	KEY_HOLE4,
	KEY_HOLE5,
	KEY_HOLE6,
	KEY_HOLE7,
	KEY_HOLE8,
	SWITCH_TYPE1,
	SWITCH_TYPE2,
	SWITCH_TYPE3,
	SWITCH_TYPE4,
	SWITCH_TYPE5,
	SWITCH_TYPE6,
	SWITCH_TYPE7,
	SWITCH_TYPE8,
	SWITCH_TYPE9,
	UNKNOWN275,
	UNKNOWN276,
	UNKNOWN277,
	COG_SWITCH,
	UNKNOWN279,
	JUMP_SWITCH,
	UNKNOWN281,
	PULLEY,
	KIND_SWITCH,
	DOOR_TYPE1,
	DOOR_TYPE1_MIP,
	DOOR_TYPE2,
	DOOR_TYPE2_MIP,
	DOOR_TYPE3,
	DOOR_TYPE3_MIP,
	DOOR_TYPE4,
	DOOR_TYPE4_MIP,
	DOOR_TYPE5,
	DOOR_TYPE5_MIP,
	DOOR_TYPE6,
	DOOR_TYPE6_MIP,
	DOOR_TYPE7,
	DOOR_TYPE7_MIP,
	DOOR_TYPE8,
	DOOR_TYPE8_MIP,
	DOOR_TYPE9,
	DOOR_TYPE9_MIP,
	DOOR_TYPE10,
	DOOR_TYPE10_MIP,
	DOOR_TYPE11,
	DOOR_TYPE11_MIP,
	DOOR_TYPE12,
	DOOR_TYPE12_MIP,
	DOOR_TYPE13,
	DOOR_TYPE13_MIP,
	DOOR_TYPE14,
	DOOR_TYPE14_MIP,
	DOOR_TYPE15,
	DOOR_TYPE15_MIP,
	DOOT_TYPE16,
	DOOT_TYPE16_MIP,
	UNKNOWN316,
	UNKNOWN317,
	UNKNOWN318,
	UNKNOWN319,
	KICK_DOOR,
	UNKNOWN321,
	UNKNOWN322,
	UNKNOWN323,
	UNKNOWN324,
	UNKNOWN325,
	DOUBLE_DOORS,
	UNKNOWN327,
	DOOR_TYPE13_MIP,
	DOOR_TYPE14,
	DOOR_TYPE14_MIP,
	DOOR_TYPE15,
	DOOR_TYPE16,
	UNKNOWN333,
	PISTOLS_ITEM,
	PISTOL_AMMO,
	UZI_ITEM,
	UZI_AMMO,
	SHOTGUN_ITEM,
	SHOTGUN_AMMO1,
	SHOTGUN_AMMO2,
	GRAPPLING_ITEM,
	GRAPPLING_AMMO1,
	GRAPPLING_AMMO2,
	GRAPPLING_AMMO3,
	HK_ITEM,
	HK_AMMO,
	REVOLVER_ITEM,
	REVOLVER_AMMO,
	BIGMIDI_ITEM,
	SMALLMIDI_ITEM,
	LASERSIGHT_ITEM,
	BINOCULARS_ITEM,
	METAL_BOX,
	FLARE_ITEM,
	FLARE_INV_ITEM,
	TIMER_ITEM,
	LOAD_INV_ITEM,
	SAVE_INV_ITEM,
	DISK_LOAD,
	DISK_SAVE,
	MEMCARD_LOAD,
	MEMCARD_SAVE,
	STEAM_EMITTER1,
	STEAM_EMITTER2,
	STEAM_EMITTER3,
	EARTHQUAKE,
	UNKNOWN367,
	LONG_STEAM,
	GUNSHELL,
	SHOTGUN_SHELL,
	GUN_FLASH,
	UNKNOWN372,
	FADING_LIGHT,
	ALARM,
	BLINKING_LIGHT,
	UNKNOWN377,
	AI_GUARD,
	AI_AMBUSH,
	AI_PATROL1,
	AI_MODIFY,
	AI_FOLLOW,
	AI_PATROL2,
	AI_X1,
	AI_X2,
	UNKNOWN386,
	TELEPORT,
	ELEVATOR,
	RAISING_OBJECT,
	LASER1,
	LASER2,
	ELECTRICITY,
	LASER4,
	TRIGGER_TRIGGERER,
	RAISING_PICKUP,
	FLAME_EMITTER_WITH_SPARKS,
	BREAKABLE_GLASS_FLOOR,
	BREAKABLE_GLASS_DOOR,
	UNKNOWN399,
	UNKNOWN400,
	UNKNOWN401,
	UNKNOWN402,
	UNKNOWN403,
	UNKNOWN404,
	UNKNOWN405,
	UNKNOWN406,
	UNKNOWN407,
	UNKNOWN408,
	CAMERA_TARGET,
	WATERFALL1,
	WATERFALL2,
	WATERFALL3,
	WATERFALL4,
	WATERFALL5,
	WATERFALL6,
	ANIMATING1,
	ANIMATING1_MIP,
	ANIMATING2,
	ANIMATING2_MIP,
	ANIMATING3,
	ANIMATING3_MIP,
	ANIMATING4,
	ANIMATING4_MIP,
	ANIMATING5,
	ANIMATING5_MIP,
	ANIMATING6,
	ANIMATING6_MIP,
	ANIMATING7,
	ANIMATING7_MIP,
	ANIMATING8,
	ANIMATING8_MIP,
	ANIMATING9,
	ANIMATING9_MIP,
	ANIMATING10,
	ANIMATING10_MIP,
	ANIMATING11,
	ANIMATING11_MIP,
	ANIMATING12,
	ANIMATING12_MIP,
	ANIMATING13,
	ANIMATING13_MIP,
	ANIMATING14,
	ANIMATING14_MIP,
	ANIMATING15,
	ANIMATING15_MIP,
	ANIMATING16,
	ANIMATING16_MIP,
	FLOOR1_FLAT,
	FLOOR2_FLAT,
	FLOOR1_SLOPE1,
	FLOOR2_SLOPE1,
	FLOOR1_SLOPE2,
	FLOOR2_SLOPE2,
	HORIZON,
	SKY_GRAPHICS,
	BINOCULARS_GRAPHICS,
	TARGET_GRAPHICS,
	DEFAULT_SPRITES,
	MISC_SPRITES,
        NUMBER_OBJECTS
};

enum static_types {
	PLANT0, PLANT1, PLANT2, PLANT3, PLANT4, PLANT5, PLANT6, PLANT7, PLANT8, PLANT9,
	FURNITURE0, FURNITURE1, FURNITURE2, FURNITURE3, FURNITURE4,
	FURNITURE5, FURNITURE6, FURNITURE7, FURNITURE8, FURNITURE9,
	ROCK0, ROCK1, ROCK2, ROCK3, ROCK4, ROCK5, ROCK6, ROCK7, ROCK8, ROCK9,
	ARCHITECTURE0, ARCHITECTURE1, ARCHITECTURE2, ARCHITECTURE3, ARCHITECTURE4,
	ARCHITECTURE5, ARCHITECTURE6, ARCHITECTURE7, ARCHITECTURE8, ARCHITECTURE9,
	DEBRIS0, DEBRIS1, DEBRIS2, DEBRIS3, DEBRIS4, DEBRIS5, DEBRIS6, DEBRIS7, DEBRIS8, DEBRIS9,
	SHATTER0, SHATTER1, SHATTER2, SHATTER3, SHATTER4, SHATTER5, SHATTER6, SHATTER7, SHATTER8, SHATTER9,
	NUMBER_STATIC_OBJECTS
};

enum floor_types {
	FLOOR_TYPE, DOOR_TYPE, TILT_TYPE, ROOF_TYPE, TRIGGER_TYPE, LAVA_TYPE, CLIMB_TYPE, SPLIT1, SPLIT2, SPLIT3, SPLIT4,
	NOCOLF1T, NOCOLF1B, NOCOLF2T, NOCOLF2B, NOCOLC1T, NOCOLC1B, NOCOLC2T, NOCOLC2B,
	MONKEY_TYPE, TRIGTRIGGER_TYPE, MINER_TYPE
};

enum trigger_types {
	TRIGGER, PAD, SWITCH, KEY, PICKUP, HEAVY, ANTIPAD, COMBAT, DUMMY, ANTITRIGGER, HEAVYSWITCH, HEAVYANTITRIGGER, MONKEY
};

enum trigobj_types {
	TO_OBJECT, TO_CAMERA, TO_SINK, TO_FLIPMAP, TO_FLIPON, TO_FLIPOFF, TO_TARGET, TO_FINISH, TO_CD, TO_FLIPEFFECT, TO_SECRET, TO_BODYBAG, TO_FLYBY, TO_CUTSCENE
};
